Page MenuHome

X3D IMPORT EXPORT Missing in 2.8 beta
Closed, ArchivedPublic

Description

System Information
Operating system:
Graphics card:

Blender Version
Broken: 2.80 beta
Worked: (optional)

Short description of error

The IMPORT / EXPORT of X3D (and .wrl) is missing in the beta of 2.8.
We use this ALL THE TIME in government and academia.

Please re-instate this important functionality! :-)

with best regards,
_n_polys

Exact steps for others to reproduce the error
Based on the default startup or an attached .blend file (as simple as possible).

Details

Type
Bug

Event Timeline

Nicholas Polys (npolys) updated the task description. (Show Details)
Nicholas Polys (npolys) closed this task as Archived.

This is not a bug.

Due to the many changes in Blender 2.80, addons need to be updated to work with it. As these are maintained by external developers, not all of them are available for this version yet.

https://wiki.blender.org/wiki/Reference/Release_Notes/2.80/Add-ons

Brecht Van Lommel (brecht) claimed this task.

Thanks Brecht~

how do I track this toward the release?

who is working on this and where?
.. sorry there are so many lists and forums for Blender I am a bit lost...

:-)

with best regards,
_nicholas

There is nowhere to track this really. It's not actively being worked on, it's up to an external developer to pick it up, if/when that happens I can't predict.

?
eg

https://developer.blender.org/diffusion/BA/browse/master/io_scene_x3d/
https://developer.blender.org/diffusion/BA/browse/master/io_scene_vrml2/

These seem to be living well in the codebase... what is needed to get into release???

with best regards,
_nicholas

A developer needs to update them to work with 2.8. All you can do is wait for a developer to do it.

For a current work around, you can import your x3d in blender 2.79 then save it. This save file can then be loaded in blender 2.8 beta.

I was able to import/export from 2.8 once I applied all modifiers and went to a base material.